coap_notls.c File Reference
`#include "coap_internal.h"`
Include dependency graph for coap_notls.c:

Go to the source code of this file.

## Macros

#define | UNUSED

## Functions

int | coap_dtls_is_supported (void)
| Check whether DTLS is available. More...
int | coap_tls_is_supported (void)
| Check whether TLS is available. More...
coap_tls_version_t * | coap_get_tls_library_version (void)
| Determine the type and version of the underlying (D)TLS library. More...
int | coap_dtls_context_set_pki (coap_context_t *ctx UNUSED, coap_dtls_pki_t *setup_data UNUSED, coap_dtls_role_t role UNUSED)
int | coap_dtls_context_set_pki_root_cas (struct coap_context_t *ctx UNUSED, const char *ca_file UNUSED, const char *ca_path UNUSED)
int | coap_dtls_context_set_psk (coap_context_t *ctx UNUSED, const char *hint UNUSED, coap_dtls_role_t role UNUSED)
int | coap_dtls_context_check_keys_enabled (coap_context_t *ctx UNUSED)
void | coap_dtls_startup (void)
| Initialize the underlying (D)TLS Library layer. More...
void | coap_dtls_set_log_level (int level)
| Sets the (D)TLS logging level to the specified `level`. More...
int | coap_dtls_get_log_level (void)
| Get the current (D)TLS logging. More...
void * | coap_dtls_new_context (struct coap_context_t *coap_context UNUSED)
void | coap_dtls_free_context (void *handle UNUSED)
void * | coap_dtls_new_server_session (coap_session_t *session UNUSED)
void * | coap_dtls_new_client_session (coap_session_t *session UNUSED)
void | coap_dtls_free_session (coap_session_t *coap_session UNUSED)
void | coap_dtls_session_update_mtu (coap_session_t *session UNUSED)
int | coap_dtls_send (coap_session_t *session UNUSED, const uint8_t *data UNUSED, size_t data_len UNUSED)
int | coap_dtls_is_context_timeout (void)
| Check if timeout is handled per CoAP session or per CoAP context. More...
coap_tick_t | coap_dtls_get_context_timeout (void *dtls_context UNUSED)
coap_tick_t | coap_dtls_get_timeout (coap_session_t *session UNUSED, coap_tick_t now UNUSED)
void | coap_dtls_handle_timeout (coap_session_t *session UNUSED)
int | coap_dtls_receive (coap_session_t *session UNUSED, const uint8_t *data UNUSED, size_t data_len UNUSED)
int | coap_dtls_hello (coap_session_t *session UNUSED, const uint8_t *data UNUSED, size_t data_len UNUSED)
unsigned int | coap_dtls_get_overhead (coap_session_t *session UNUSED)
void * | coap_tls_new_client_session (coap_session_t *session UNUSED, int *connected UNUSED)
void * | coap_tls_new_server_session (coap_session_t *session UNUSED, int *connected UNUSED)
void | coap_tls_free_session (coap_session_t *coap_session UNUSED)
ssize_t | coap_tls_write (coap_session_t *session UNUSED, const uint8_t *data UNUSED, size_t data_len UNUSED)
ssize_t | coap_tls_read (coap_session_t *session UNUSED, uint8_t *data UNUSED, size_t data_len UNUSED)

## Variables

static int | dtls_log_level = 0

## Macro Definition Documentation

## UNUSED

#define UNUSED

Definition at line 17 of file coap_notls.c.

## Function Documentation

## coap_dtls_context_check_keys_enabled()

int coap_dtls_context_check_keys_enabled | ( | coap_context_t *ctx | UNUSED | ) |

Definition at line 63 of file coap_notls.c.

Here is the caller graph for this function:

## coap_dtls_context_set_pki()

int coap_dtls_context_set_pki | ( | coap_context_t *ctx | UNUSED,
|  | coap_dtls_pki_t *setup_data | UNUSED,
|  | coap_dtls_role_t role | UNUSED
| ) |  |

Definition at line 39 of file coap_notls.c.

Here is the caller graph for this function:

## coap_dtls_context_set_pki_root_cas()

int coap_dtls_context_set_pki_root_cas | ( | struct coap_context_t *ctx | UNUSED,
|  | const char *ca_file | UNUSED,
|  | const char *ca_path | UNUSED
| ) |  |

Definition at line 47 of file coap_notls.c.

Here is the caller graph for this function:

## coap_dtls_context_set_psk()

int coap_dtls_context_set_psk | ( | coap_context_t *ctx | UNUSED,
|  | const char *hint | UNUSED,
|  | coap_dtls_role_t role | UNUSED
| ) |  |

Definition at line 55 of file coap_notls.c.

Here is the caller graph for this function:

## coap_dtls_free_context()

void coap_dtls_free_context | ( | void *handle | UNUSED | ) |

Definition at line 89 of file coap_notls.c.

Here is the caller graph for this function:

## coap_dtls_free_session()

void coap_dtls_free_session | ( | coap_session_t *coap_session | UNUSED | ) |

Definition at line 100 of file coap_notls.c.

Here is the caller graph for this function:

## coap_dtls_get_context_timeout()

coap_tick_t coap_dtls_get_context_timeout | ( | void *dtls_context | UNUSED | ) |

Definition at line 118 of file coap_notls.c.

Here is the caller graph for this function:

## coap_dtls_get_overhead()

unsigned int coap_dtls_get_overhead | ( | coap_session_t *session | UNUSED | ) |

Definition at line 146 of file coap_notls.c.

Here is the caller graph for this function:

## coap_dtls_get_timeout()

coap_tick_t coap_dtls_get_timeout | ( | coap_session_t *session | UNUSED,
|  | coap_tick_t now | UNUSED
| ) |  |

Definition at line 123 of file coap_notls.c.

Here is the caller graph for this function:

## coap_dtls_handle_timeout()

void coap_dtls_handle_timeout | ( | coap_session_t *session | UNUSED | ) |

Definition at line 127 of file coap_notls.c.

Here is the caller graph for this function:

## coap_dtls_hello()

int coap_dtls_hello | ( | coap_session_t *session | UNUSED,
|  | const uint8_t *data | UNUSED,
|  | size_t data_len | UNUSED
| ) |  |

Definition at line 139 of file coap_notls.c.

Here is the caller graph for this function:

## coap_dtls_new_client_session()

void* coap_dtls_new_client_session | ( | coap_session_t *session | UNUSED | ) |

Definition at line 96 of file coap_notls.c.

Here is the caller graph for this function:

## coap_dtls_new_context()

void* coap_dtls_new_context | ( | struct coap_context_t *coap_context | UNUSED | ) |

Definition at line 84 of file coap_notls.c.

Here is the caller graph for this function:

## coap_dtls_new_server_session()

void* coap_dtls_new_server_session | ( | coap_session_t *session | UNUSED | ) |

Definition at line 92 of file coap_notls.c.

Here is the caller graph for this function:

## coap_dtls_receive()

int coap_dtls_receive | ( | coap_session_t *session | UNUSED,
|  | const uint8_t *data | UNUSED,
|  | size_t data_len | UNUSED
| ) |  |

Definition at line 131 of file coap_notls.c.

Here is the caller graph for this function:

## coap_dtls_send()

int coap_dtls_send | ( | coap_session_t *session | UNUSED,
|  | const uint8_t *data | UNUSED,
|  | size_t data_len | UNUSED
| ) |  |

Definition at line 107 of file coap_notls.c.

Here is the caller graph for this function:

## coap_dtls_session_update_mtu()

void coap_dtls_session_update_mtu | ( | coap_session_t *session | UNUSED | ) |

Definition at line 103 of file coap_notls.c.

## coap_tls_free_session()

void coap_tls_free_session | ( | coap_session_t *coap_session | UNUSED | ) |

Definition at line 158 of file coap_notls.c.

Here is the caller graph for this function:

## coap_tls_new_client_session()

void* coap_tls_new_client_session | ( | coap_session_t *session | UNUSED,
|  | int *connected | UNUSED
| ) |  |

Definition at line 150 of file coap_notls.c.

Here is the caller graph for this function:

## coap_tls_new_server_session()

void* coap_tls_new_server_session | ( | coap_session_t *session | UNUSED,
|  | int *connected | UNUSED
| ) |  |

Definition at line 154 of file coap_notls.c.

Here is the caller graph for this function:

## coap_tls_read()

ssize_t coap_tls_read | ( | coap_session_t *session | UNUSED,
|  | uint8_t *data | UNUSED,
|  | size_t data_len | UNUSED
| ) |  |

Definition at line 168 of file coap_notls.c.

Here is the caller graph for this function:

## coap_tls_write()

ssize_t coap_tls_write | ( | coap_session_t *session | UNUSED,
|  | const uint8_t *data | UNUSED,
|  | size_t data_len | UNUSED
| ) |  |

Definition at line 161 of file coap_notls.c.

Here is the caller graph for this function:

## Variable Documentation

## dtls_log_level

int dtls_log_level = 0

static

Definition at line 68 of file coap_notls.c.